{% macro form(name='', body='') -%}
<fieldset>
    <legend>title</legend>
    <input
        type="text"
        class="large"
        name="name"
        value="{{ name }}"
        required />

</fieldset>
<fieldset>
    <legend>body</legend>
    <textarea name="body"
              rows="24"
              cols="72">{{ body }}</textarea>

</fieldset>
{%- endmacro %}

{% if resource %}
{{ form(resource.name, resource.body) }}
{% endif %}
